Bug 841979 - grubby segfaults silently during F16->F17 preupgrade
grubby segfaults silently during F16->F17 preupgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 14:10 EDT by Martin Langhoff
Modified: 2013-02-13 09:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:46:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Langhoff 2012-07-20 14:10:19 EDT
Description of problem:

On my system (fully up-to-date F16, from fresh F16 install), 

 - /etc/grub.conf exists, symlink to /boot/grub/grub.conf
 - /boot/grub/menu.lst exists, symlink to /boot/grub.conf
 - /boot/grub/grub.cfg _does not exist_
 - /boot is small (so will download stage2 from initrd)

running preupgrade (or preupgrade-cli), grubby fails to update grub.cfg. preupgrade _continues_ without halting at the failure or reporting it.

Testing the cmdline printedout from preupgrade-cli, we see a segfault:

/sbin/grubby --title="Upgrade to Fedora 17 (Beefy Miracle)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=dd231546-7cc4-4a2b-b6f9-5875d823c41d:/upgrade/ks.cfg stage2=http://mirrors.kernel.org/fedora/releases/17/Fedora/x86_64/os/LiveOS/squashfs.img"
grubby recieved SIGSEGV!  Backtrace (6):
/sbin/grubby[0x404fef]
/lib64/libc.so.6[0x3d36436300]
/sbin/grubby[0x4020d7]
/sbin/grubby[0x403c1c]
/lib64/libc.so.6(__libc_start_main+0xed)[0x3d3642169d]
/sbin/grubby[0x4042b1]

Two bugs are present here

 - preupgrade is not checking grubby exit status
 - grubby is segfaulting on a hopefully simple operation

HW is a plain Lenovo X220, SATA disks, simple partitioning scheme.

Version-Release number of selected component (if applicable):

preupgrade-1.1.10-1.fc16.src.rpm
grubby-8.8-2.fc16.src.rpm

How reproducible:

100%

Steps to Reproduce:
1. Install F16, update
2. run preupgrade-cli
Comment 1 Christian 2012-09-27 00:09:17 EDT
Fyi, I see a closely related problem, also on F16 trying to upgrade to F17. Two variants:

(1) By default, when running preupgrade I get this messsage in the console:

  error opening /boot/grub/grub.cfg for read: No such file or directory

preupgrade doesn't care and suggests I reboot, which unsurprisingly does nothing and boots me right back into F16. The error message is correct, there's no grub.cfg, it's grub.conf. However, grubby does *not* crash.

(2) I tried linking (as well as symlinking) grub.conf to crub.cfg. When I do this, I reliably trigger the grubby crash Martin has posted.

I'll fall back to DVDs for upgrading, given the yum headaches this time 'round. Too bad. :(
Comment 2 Fedora End Of Life 2013-01-16 08:52:20 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:47:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.